/// <reference types="react" />
import * as React from 'react';
export declare type XtermLinkMatcherHandler = (event: MouseEvent, uri: string) => boolean | void;
export declare type XtermLinkMatcherValidationCallback = (uri: string, callback: (isValid: boolean) => void) => void;
export interface IXtermLinkHandlerProps {
    styles?: any;
    xterm: any;
    localLinkClause: string;
    linkHoverString: string;
    resolvePath: Function;
    openFile: Function;
}
export interface IXtermLinkHandlerState {
    showTooltip?: boolean;
    tooltipLeft?: number;
    tooltipTop?: number;
    tooltipMessage?: string;
}
export declare class XtermLinkHandler extends React.Component<IXtermLinkHandlerProps, IXtermLinkHandlerState> {
    private _localLinkPattern;
    constructor(props?: IXtermLinkHandlerProps);
    componentWillMount(): void;
    private registerCustomLinkHandler(regex, handler, matchIndex?, validationCallback?);
    private registerWebLinkHandler();
    private registerLocalLinkHandler();
    protected readonly _localLinkRegex: RegExp;
    private _handleLocalLink(link);
    private _validateLocalLink(link, callback);
    private _validateWebLink(link, callback);
    private _handleHypertextLink(url);
    private extractLineColumnInfo(link);
    private extractLinkUrl(link);
    private openTooltip;
    private closeTooltip;
    render(): JSX.Element;
}
